| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Functions
Glucose Database Service
BLE Services

Glucose Service module. More...

## Macros
#define | BLE_GLS_DB_MAX_RECORDS 20

## Functions
uint32_t | ble_gls_db_init (void)
| Function for initializing the glucose record database. More...
uint16_t | ble_gls_db_num_records_get (void)
| Function for getting the number of records in the database. More...
uint32_t | ble_gls_db_record_get (uint8_t record_num, ble_gls_rec_t *p_rec)
| Function for getting a record from the database. More...
uint32_t | ble_gls_db_record_add (ble_gls_rec_t *p_rec)
| Function for adding a record at the end of the database. More...
uint32_t | ble_gls_db_record_delete (uint8_t record_num)
| Function for deleting a database entry. More...

## Detailed Description

Glucose Service module.

This module implements at database of stored glucose measurement values.

Note
  Attention! To maintain compliance with Nordic Semiconductor ASA Bluetooth profile qualification listings, These APIs must not be modified. However, the corresponding functions' implementations can be modified.

## Function Documentation

uint32_t ble_gls_db_init | ( | void |  | ) |

Function for initializing the glucose record database.

This call initializes the database holding glucose records.

Returns
  NRF_SUCCESS on success.

uint16_t ble_gls_db_num_records_get | ( | void |  | ) |

Function for getting the number of records in the database.

This call returns the number of records in the database.

Returns
  Number of records in the database.

uint32_t ble_gls_db_record_add | ( | ble_gls_rec_t * | p_rec | ) |

Function for adding a record at the end of the database.

This call adds a record as the last record in the database.

Parameters

  [in] | p_rec | Pointer to record to add to database.

Returns
  NRF_SUCCESS on success.

uint32_t ble_gls_db_record_delete | ( | uint8_t | record_num | ) |

Function for deleting a database entry.

This call deletes an record from the database.

Parameters

  [in] | record_num | Index of record to delete.

Returns
  NRF_SUCCESS on success.

uint32_t ble_gls_db_record_get | ( | uint8_t | record_num,
|  | ble_gls_rec_t * | p_rec
| ) |  |

Function for getting a record from the database.

This call returns a specified record from the database.

Parameters

  [in] | record_num | Index of the record to retrieve.
  [out] | p_rec | Pointer to record structure where retrieved record is copied to.

Returns
  NRF_SUCCESS on success.